> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getProof

> Generates Merkle proofs for one or more storage values associated with a specific account, accompanied by a proof of their authenticity



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getProof
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getProof:
    post:
      tags:
        - ZKSync API
      summary: zks_getProof
      description: >-
        Generates Merkle proofs for one or more storage values associated with a
        specific account, accompanied by a proof of their authenticity
      operationId: zks_getProof
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getProof
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  description: Parameters for generating proofs
                  minItems: 3
                  maxItems: 3
                  default:
                    - '0x0000000000000000000000000000000000008003'
                    - - >-
                        0x8b65c0cf1012ea9f393197eb24619fd814379b298b238285649e14f936a5eb12
                    - 354895
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getProof
                  params:
                    - '0x0000000000000000000000000000000000008003'
                    - - >-
                        0x8b65c0cf1012ea9f393197eb24619fd814379b298b238285649e14f936a5eb12
                    - 354895
      responses:
        '200':
          description: Returns the account details and proofs for storage keys
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  result:
                    type: object
                    properties:
                      address:
                        type: string
                        description: Account address associated with the storage proofs
                      storageProof:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              description: Storage key for which the proof is provided
                            value:
                              type: string
                              description: Value stored in the specified storage key
                            index:
                              type: integer
                              description: >-
                                Position of the tree entry within the Merkle
                                tree
                            proof:
                              type: array
                              items:
                                type: string
                              description: Array of hashes that constitute the Merkle path
                  id:
                    type: integer
                    example: 1
              examples:
                example1:
                  value:
                    jsonrpc: '2.0'
                    result:
                      address: '0x0000000000000000000000000000000000008003'
                      storageProof:
                        - key: >-
                            0x8b65c0cf1012ea9f393197eb24619fd814379b298b238285649e14f936a5eb12
                          proof:
                            - >-
                              0xe3e8e49a998b3abf8926f62a5a832d829aadc1b7e059f1ea59ffbab8e11edfb7
                    id: 1

````